{{!< default}}

{{! The comment above "< default" means - insert everything in this file into
    the {body} of the default.hbs template, which contains our header/footer. }}
<main class="content" role="main">

    <article class="{{post_class}}">

        {{! Each post has the blog logo at the top, with a link back to the home page }}
        <header class="post-header">
            <a class="blog-logo" href="{{@blog.url}}">
                {{#if @blog.logo}}
                    <img src="{{@blog.logo}}" alt="Blog Logo" />
                {{else}}
                    <h1 class="blog-title">{{@blog.title}}</h1>
                {{/if}}
            </a>
        </header>

        {{! Everything inside the #post tags pulls data from the post }}
        {{#post}}

            <h1 class="post-title">{{{title}}}</h1>
            <span class="post-meta"><time datetime="{{date format="YYYY-MM-DD"}}">{{date format='DD MMM YYYY'}}</time> {{tags prefix="on " separator=" | "}}</span>
            
            <section class="post-content">
                {{content}}
            </section>

            <footer class="post-footer">

                <section class="author">
                    <h4>{{author.name}}</h4>
                    <p>{{author.bio}}</p>
                    <ul class="author-meta clearfix">
                        {{#if author.location}}<li>{{author.location}}</li>{{/if}}
                        {{#if author.website}}<li><a href="http://{{author.website}}">{{author.website}}</a></li>{{/if}}
                    </ul>
                </section>

                <section class="share">
                    <h4>Share this post</h4>
                    <a class="icon-twitter" href="https://twitter.com/share?text={{encode title}}&amp;url={{url absolute="true"}}"
                        onclick="window.open(this.href, 'twitter-share', 'width=550,height=235');return false;">
                        <span class="hidden">Twitter</span>
                    </a>
                    <a class="icon-facebook" href="https://www.facebook.com/sharer/sharer.php?u={{url absolute="true"}}"
                        onclick="window.open(this.href, 'facebook-share','width=580,height=296');return false;">
                        <span class="hidden">Facebook</span>
                    </a>
                    <a class="icon-google-plus" href="https://plus.google.com/share?url={{url absolute="true"}}"
                       onclick="window.open(this.href, 'google-plus-share', 'width=490,height=530');return false;">
                        <span class="hidden">Google+</span>
                    </a>
                </section>

            </footer>

        {{/post}}

    </article>

</main>
